unit DemoUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  quickrpt, ExtCtrls, Db, DBTables, ODPrep, ODQRPrep, ODFldPrp, ODFldWdw,
  StdCtrls, DBCtrls, Buttons;

type
  TDemoForm = class(TForm)
    AQuery: TQuery;
    DataSource: TDataSource;
    ScrollBox1: TScrollBox;
    FieldsPreparer: TODFieldsPreparer;
    Panel1: TPanel;
    TableCombo: TComboBox;
    Label1: TLabel;
    WindowBtn: TSpeedButton;
    Panel2: TPanel;
    DBNavigator1: TDBNavigator;
    ReportBtn: TSpeedButton;
    ActiveCheck: TCheckBox;
    Customers: TTable;
    Employees: TTable;
    Parts: TTable;
    CustomersCustNo: TFloatField;
    CustomersCompany: TStringField;
    CustomersAddr1: TStringField;
    CustomersCity: TStringField;
    CustomersState: TStringField;
    CustomersCountry: TStringField;
    EmployeesEmpNo: TIntegerField;
    EmployeesLastName: TStringField;
    EmployeesFirstName: TStringField;
    EmployeesPhoneExt: TStringField;
    EmployeesHireDate: TDateTimeField;
    EmployeesSalary: TFloatField;
    PartsPartNo: TFloatField;
    PartsVendorNo: TFloatField;
    PartsDescription: TStringField;
    PartsOnHand: TFloatField;
    PartsOnOrder: TFloatField;
    PartsCost: TCurrencyField;
    PartsListPrice: TCurrencyField;
    ExitBtn: TSpeedButton;
    AboutBtn: TSpeedButton;
    FieldsWindow: TODFieldsWindow;
    Label2: TLabel;
    procedure FormShow(Sender: TObject);
    procedure TableComboChange(Sender: TObject);
    procedure ActiveCheckClick(Sender: TObject);
    procedure WindowBtnClick(Sender: TObject);
    procedure ReportBtnClick(Sender: TObject);
    procedure ExitBtnClick(Sender: TObject);
    procedure AboutBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DemoForm: TDemoForm;

implementation

uses RprtUnit, ODAbout;

{$R *.DFM}

procedure TDemoForm.FormShow(Sender: TObject);
begin
  TableCombo.ItemIndex := 0;
end;

procedure TDemoForm.TableComboChange(Sender: TObject);
begin
  FieldsPreparer.Clear;
  FieldsWindow.Clear;
  ReportForm.ReportPreparer.Clear;
  with DataSource do
  begin
    DataSet.Active := False;
    case TableCombo.ItemIndex of
      0: DataSet := AQuery;
      1: DataSet := Customers;
      2: DataSet := Employees;
      3: DataSet := Parts;
    end;
    ReportForm.QuickReport.DataSet := DataSet;
    DataSet.Active := ActiveCheck.Checked;
  end;
  FieldsWindow.Caption := TableCombo.Text;
  ReportForm.TitleLabel.Caption := TableCombo.Text;
end;

procedure TDemoForm.ActiveCheckClick(Sender: TObject);
begin
  DataSource.DataSet.Active := ActiveCheck.Checked;
end;

procedure TDemoForm.WindowBtnClick(Sender: TObject);
begin
  FieldsWindow.Show;
end;

procedure TDemoForm.ReportBtnClick(Sender: TObject);
begin
  ReportForm.QuickReport.Preview;
end;

procedure TDemoForm.ExitBtnClick(Sender: TObject);
begin
  Close;
end;

procedure TDemoForm.AboutBtnClick(Sender: TObject);
begin
  ODAboutForm.ShowModal;
end;

end.
